# Copyright 2016 The Bazel Authors. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License
"""Provides functionality to determine hosted configs based on Bazel version and
the container digest.

WARNING: Autogenerated file. Do not edit manually as changes may be overridden.
Contact repository owners if you wish to edit this file for instructions.
"""

# Returns a dict with suppported Bazel versions mapped to the config version to use.
def bazel_to_config_versions():
    return {
        "0.24.1": ["9.0.0"],
    }

# sha256 digest of the latest version of the toolchain container.
LATEST = "sha256:671d8b28e99c8a0a7aa2aaae072bf8e92c19def082b218ae46e209274cdd476e"

# Map from sha256 of the toolchain container to corresponding major container
# versions.
def container_to_config_version():
    return {
        "sha256:671d8b28e99c8a0a7aa2aaae072bf8e92c19def082b218ae46e209274cdd476e": "9.0.0",
    }
